
$(document).ready(function() {

	//build dropdown
	$("<select />").appendTo("#global_nav");
	
	// Create default option "Go to..."
	$("<option />", {
	   "selected": "selected",
	   "value"   : "",
	   "text"    : "Go to..."
	}).appendTo("#global_nav select");	
	
	// Populate dropdowns with the first menu items
	$("#global_nav li a").each(function() {
	 	var el = $(this);
	 	$("<option />", {
	     	"value"   : el.attr("href"),
	    	"text"    : el.text()
	 	}).appendTo("#global_nav select");
	});
	
	//make responsive dropdown menu actually work			
  	$("#global_nav select").change(function() {
    	window.location = $(this).find("option:selected").val();
  	});

});